set.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <set> More...

`#include "cereal/cereal.hpp"`
`#include <set>`

Go to the source code of this file.

## Functions

template<class Archive , class SetT >
void | cereal::set_detail::save (Archive &ar, SetT const &set)
template<class Archive , class SetT >
void | cereal::set_detail::load (Archive &ar, SetT &set)
template<class Archive , class K , class C , class A >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::set< K, C, A > const &set)
| Saving for std::set.
template<class Archive , class K , class C , class A >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::set< K, C, A > &set)
| Loading for std::set.
template<class Archive , class K , class C , class A >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::multiset< K, C, A > const &multiset)
| Saving for std::multiset.
template<class Archive , class K , class C , class A >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::multiset< K, C, A > &multiset)
| Loading for std::multiset.

## Detailed Description

Support for types found in <set>